MEMCCHR(9)

NAME
memcchr - locate the complement of a byte in byte string

SYNOPSIS
#include <sys/libkern.h>
void *
memcchr(const void *b, int c, size_t len);

DESCRIPTION
The memcchr() function locates the first occurrence of a byte unequal to c (converted to an unsigned char) in string b.

RETURN VALUES
The memcchr() function returns a pointer to the byte located, or NULL if no such byte exists within len bytes.

SEE ALSO
memchr(3)

HISTORY
The memcchr() function first appeared in FreeBSD 10.0.